%% This script uses an existing trained SVM model, and eplxains the predictions for a chosen test item
% See README.txt
% Important: you need to have the libLINEAR tool (see README)

load EDCSmallExample;

bb_name = 'libLINEAR';
bb_eval = 'predict';
bb_eval_args = model;
tr_data = data_all_tr;
tr_class = Y_tr;
te_data = data_to_explain;
te_class = Y_to_explain;
te_class_original = Y_to_explain;
feature_names = feature_names;
output_f_name_begin = output_f_name_begin;
dir_output = '';    % Current directory, can be chenged to for example: 'D:\Data folder\EDC\Output\'

% More information on this function, see EDC_libsvm.m
[perf, perf_10perc, perf_90perc, all_explanations, allinitialscores]  = ...
    EDC_libsvm(bb_name, bb_eval, bb_eval_args, tr_data, tr_class, te_data, te_class, te_class_original, feature_names, output_f_name_begin, dir_output);

